import { mat4, vec2, vec3 } from 'gl-matrix';
/**
 * do RTS transformation for 2D/3D
 */
export declare class Transform {
    static tag: string;
    dirtyFlag: boolean;
    localDirtyFlag: boolean;
    frozen: boolean;
    /**
     * local space RTS
     */
    localPosition: vec3;
    localRotation: import("gl-matrix").vec4;
    localScale: vec3;
    localTransform: mat4;
    /**
     * @see https://www.w3.org/TR/css-transforms-1/#SkewDefined
     */
    localSkew: vec2;
    /**
     * world space RTS
     */
    position: vec3;
    rotation: import("gl-matrix").vec4;
    scaling: vec3;
    worldTransform: mat4;
    /**
     * the origin of scaling and rotation
     */
    origin: vec3;
}
//# sourceMappingURL=Transform.d.ts.map