import { CSSStyleValue, CSSStyleValueType } from './CSSStyleValue';
import type { Nested, ParenLess } from './types';
export interface LinearGradient {
    angle: number;
    steps: [number, string][];
    hash: string;
}
export interface RadialGradient {
    cx: number;
    cy: number;
    steps: [number, string][];
    hash: string;
}
export declare enum GradientType {
    Constant = 0,
    LinearGradient = 1,
    RadialGradient = 2
}
export declare class CSSGradientValue extends CSSStyleValue {
    type: GradientType;
    value: LinearGradient | RadialGradient;
    constructor(type: GradientType, value: LinearGradient | RadialGradient);
    clone(): CSSGradientValue;
    buildCSSText(n: Nested, p: ParenLess, result: string): string;
    getType(): CSSStyleValueType;
}
//# sourceMappingURL=CSSGradientValue.d.ts.map