import { Syringe } from 'mana-syringe';
import type { LayoutObject } from './LayoutObject';
export declare const LayoutEdgesFactory: Syringe.DefinedToken;
export interface LayoutEdgesFactory {
    (options: LayoutEdgesOptions): LayoutEdges;
}
export declare const LayoutEdgesOptions: Syringe.DefinedToken;
export interface LayoutEdgesOptions {
    node: LayoutObject;
}
/**
 * https://drafts.css-houdini.org/css-layout-api/#layoutedges
 * the size of border, scrollbar, padding
 */
export declare class LayoutEdges {
    protected readonly options: LayoutEdgesOptions;
    readonly inlineStart: number;
    readonly inlineEnd: number;
    readonly blockStart: number;
    readonly blockEnd: number;
    readonly inline: number;
    readonly block: number;
    constructor(options: LayoutEdgesOptions);
}
//# sourceMappingURL=LayoutEdges.d.ts.map