import { Syringe } from 'mana-syringe';
import { LayoutContext } from './LayoutContext';
export declare const LayoutFragmentFactory: Syringe.DefinedToken;
export interface LayoutFragmentFactory<T = void> {
    (options: LayoutFragmentOptions<T>): LayoutFragment<T>;
}
export declare const LayoutFragmentOptions: Syringe.DefinedToken;
export interface LayoutFragmentOptions<T = void> {
    inlineSize: number;
    blockSize: number;
    data: T;
}
/**
 * 布局的结果
 */
export declare class LayoutFragment<T = void> {
    protected readonly _layoutContext: LayoutContext;
    protected readonly options: LayoutFragmentOptions<T>;
    layoutContext: LayoutContext;
    readonly inlineSize: number;
    readonly blockSize: number;
    inlineOffset: number;
    blockOffset: number;
    data: T;
    constructor(_layoutContext: LayoutContext, options: LayoutFragmentOptions<T>);
}
//# sourceMappingURL=LayoutFragment.d.ts.map