import type { DisplayObject } from '../../display-objects';
import { CSSProperty } from '../CSSProperty';
/**
 * @see /zh/docs/api/basic/display-object#clippath
 * @example
  const image = new Image({
    style: {
      width: 200,
      height: 200,
      clipPath: new Circle({
        style: {
          x: 100, // 处于被裁剪图形局部坐标系下
          y: 100,
          r: 50,
        },
      }),
    }
  });
 */
export declare class CSSPropertyClipPath implements Partial<CSSProperty<DisplayObject, DisplayObject>> {
    private sceneGraphService;
    calculator(name: string, oldClipPath: DisplayObject, newClipPath: DisplayObject, object: DisplayObject): DisplayObject<any, any>;
}
//# sourceMappingURL=CSSPropertyClipPath.d.ts.map