import type { DisplayObject } from '../../display-objects';
import { CSSUnitValue } from '../cssom';
import { CSSProperty } from '../CSSProperty';
import type { StyleValueRegistry } from '../interfaces';
import { mergeDimensions, parseLengthOrPercentage } from '../parser/dimension';
/**
 * <length> & <percentage>
 */
export declare class CSSPropertyLengthOrPercentage implements Partial<CSSProperty<CSSUnitValue, CSSUnitValue>> {
    parser: typeof parseLengthOrPercentage;
    mixer: typeof mergeDimensions;
    /**
     * according to parent's bounds
     *
     * @example
     * CSS.percent(50) -> CSS.px(0.5 * parent.width)
     */
    calculator(name: string, oldParsed: CSSUnitValue, computed: CSSUnitValue, object: DisplayObject, registry: StyleValueRegistry): CSSUnitValue;
}
//# sourceMappingURL=CSSPropertyLengthOrPercentage.d.ts.map