import type { CSSUnitValue } from '../css';
import type { DisplayObjectConfig } from '../dom';
import { Point } from '../shapes';
import type { BaseStyleProps, ParsedBaseStyleProps } from '../types';
import { DisplayObject } from './DisplayObject';
export interface LineStyleProps extends BaseStyleProps {
    x1: number;
    y1: number;
    x2: number;
    y2: number;
    z1?: number;
    z2?: number;
    isBillboard?: boolean;
}
export interface ParsedLineStyleProps extends ParsedBaseStyleProps {
    x1: CSSUnitValue;
    y1: CSSUnitValue;
    x2: CSSUnitValue;
    y2: CSSUnitValue;
    z1?: CSSUnitValue;
    z2?: CSSUnitValue;
    defX: number;
    defY: number;
    isBillboard?: boolean;
}
export declare class Line extends DisplayObject<LineStyleProps, ParsedLineStyleProps> {
    constructor({ style, ...rest }?: DisplayObjectConfig<LineStyleProps>);
    getPoint(ratio: number): Point;
    getTotalLength(): number;
}
//# sourceMappingURL=Line.d.ts.map