import type { DisplayObjectConfig } from '../dom';
import { Point } from '../shapes';
import type { BaseStyleProps, ParsedBaseStyleProps } from '../types';
import { DisplayObject } from './DisplayObject';
export interface PolylineStyleProps extends BaseStyleProps {
    points: [number, number][];
}
export interface ParsedPolylineStyleProps extends ParsedBaseStyleProps {
    points: {
        points: [number, number][];
        segments: [number, number][];
        totalLength: number;
    };
}
export declare class Polyline extends DisplayObject<PolylineStyleProps, ParsedPolylineStyleProps> {
    constructor({ style, ...rest }?: DisplayObjectConfig<PolylineStyleProps>);
    getTotalLength(): number;
    getPoint(ratio: number): Point;
    getStartTangent(): number[][];
    getEndTangent(): number[][];
}
//# sourceMappingURL=Polyline.d.ts.map