import { Animation } from './Animation';
import type { KeyframeEffect } from './KeyframeEffect';
import type { Document } from './Document';
export declare function compareAnimations(leftAnimation: Animation, rightAnimation: Animation): number;
/**
 * @see https://github.com/DefinitelyTyped/DefinitelyTyped/blob/master/types/web-animations-js/index.d.ts
 */
export declare class AnimationTimeline implements AnimationTimeline {
    private document;
    /**
     * all active animations
     */
    animations: Animation[];
    private ticking;
    private timelineTicking;
    private hasRestartedThisFrame;
    animationsWithPromises: Animation[];
    private inTick;
    private pendingEffects;
    currentTime: number | null;
    private rafId;
    private rafCallbacks;
    private frameId;
    constructor(document: Document);
    getAnimations(): Animation[];
    isTicking(): boolean;
    play(effect: KeyframeEffect): Animation;
    applyDirtiedAnimation(animation: Animation): void;
    restart(): boolean;
    destroy(): void;
    applyPendingEffects(): void;
    private updateAnimationsPromises;
    private discardAnimations;
    private restartWebAnimationsNextTick;
    private webAnimationsNextTick;
    private processRafCallbacks;
    private rAF;
    private requestAnimationFrame;
    tick(t: number, isAnimationFrame: boolean, updatingAnimations: Animation[]): Animation[][];
}
//# sourceMappingURL=AnimationTimeline.d.ts.map