/**
 * implements morph animation with cubic splitting
 * @see http://thednp.github.io/kute.js/svgCubicMorph.html
 */
import type { AbsoluteArray, CurveArray } from '@antv/util';
import type { Circle, Ellipse, Line, Path, Polygon, Polyline, Rect } from '../display-objects';
export declare function hasArcOrBezier(path: AbsoluteArray): boolean;
export declare function extractPolygons(pathArray: AbsoluteArray): {
    polygons: [number, number][][];
    polylines: [number, number][][];
};
export declare function path2Segments(path: CurveArray): any[];
/**
 * convert object to path, should account for:
 * * transform & origin
 * * anchor
 * * lineWidth
 */
export declare function convertToPath(object: Circle | Ellipse | Rect | Line | Polyline | Polygon | Path, applyLocalTransform?: boolean): string;
export declare function translatePathToString(pathArray: AbsoluteArray, x: number, y: number): string;
//# sourceMappingURL=path.d.ts.map